/*
Copyright 2022 The orchest Authors.
*/

// Code generated by client-gen. DO NOT EDIT.

package fake

import (
	"context"

	v1alpha1 "github.com/orchest/orchest/services/orchest-controller/pkg/apis/orchest/v1alpha1"
	v1 "k8s.io/apimachinery/pkg/apis/meta/v1"
	labels "k8s.io/apimachinery/pkg/labels"
	schema "k8s.io/apimachinery/pkg/runtime/schema"
	types "k8s.io/apimachinery/pkg/types"
	watch "k8s.io/apimachinery/pkg/watch"
	testing "k8s.io/client-go/testing"
)

// FakeOrchestComponents implements OrchestComponentInterface
type FakeOrchestComponents struct {
	Fake *FakeOrchestV1alpha1
	ns   string
}

var orchestcomponentsResource = schema.GroupVersionResource{Group: "orchest.io", Version: "v1alpha1", Resource: "orchestcomponents"}

var orchestcomponentsKind = schema.GroupVersionKind{Group: "orchest.io", Version: "v1alpha1", Kind: "OrchestComponent"}

// Get takes name of the orchestComponent, and returns the corresponding orchestComponent object, and an error if there is any.
func (c *FakeOrchestComponents) Get(ctx context.Context, name string, options v1.GetOptions) (result *v1alpha1.OrchestComponent, err error) {
	obj, err := c.Fake.
		Invokes(testing.NewGetAction(orchestcomponentsResource, c.ns, name), &v1alpha1.OrchestComponent{})

	if obj == nil {
		return nil, err
	}
	return obj.(*v1alpha1.OrchestComponent), err
}

// List takes label and field selectors, and returns the list of OrchestComponents that match those selectors.
func (c *FakeOrchestComponents) List(ctx context.Context, opts v1.ListOptions) (result *v1alpha1.OrchestComponentList, err error) {
	obj, err := c.Fake.
		Invokes(testing.NewListAction(orchestcomponentsResource, orchestcomponentsKind, c.ns, opts), &v1alpha1.OrchestComponentList{})

	if obj == nil {
		return nil, err
	}

	label, _, _ := testing.ExtractFromListOptions(opts)
	if label == nil {
		label = labels.Everything()
	}
	list := &v1alpha1.OrchestComponentList{ListMeta: obj.(*v1alpha1.OrchestComponentList).ListMeta}
	for _, item := range obj.(*v1alpha1.OrchestComponentList).Items {
		if label.Matches(labels.Set(item.Labels)) {
			list.Items = append(list.Items, item)
		}
	}
	return list, err
}

// Watch returns a watch.Interface that watches the requested orchestComponents.
func (c *FakeOrchestComponents) Watch(ctx context.Context, opts v1.ListOptions) (watch.Interface, error) {
	return c.Fake.
		InvokesWatch(testing.NewWatchAction(orchestcomponentsResource, c.ns, opts))

}

// Create takes the representation of a orchestComponent and creates it.  Returns the server's representation of the orchestComponent, and an error, if there is any.
func (c *FakeOrchestComponents) Create(ctx context.Context, orchestComponent *v1alpha1.OrchestComponent, opts v1.CreateOptions) (result *v1alpha1.OrchestComponent, err error) {
	obj, err := c.Fake.
		Invokes(testing.NewCreateAction(orchestcomponentsResource, c.ns, orchestComponent), &v1alpha1.OrchestComponent{})

	if obj == nil {
		return nil, err
	}
	return obj.(*v1alpha1.OrchestComponent), err
}

// Update takes the representation of a orchestComponent and updates it. Returns the server's representation of the orchestComponent, and an error, if there is any.
func (c *FakeOrchestComponents) Update(ctx context.Context, orchestComponent *v1alpha1.OrchestComponent, opts v1.UpdateOptions) (result *v1alpha1.OrchestComponent, err error) {
	obj, err := c.Fake.
		Invokes(testing.NewUpdateAction(orchestcomponentsResource, c.ns, orchestComponent), &v1alpha1.OrchestComponent{})

	if obj == nil {
		return nil, err
	}
	return obj.(*v1alpha1.OrchestComponent), err
}

// UpdateStatus was generated because the type contains a Status member.
// Add a +genclient:noStatus comment above the type to avoid generating UpdateStatus().
func (c *FakeOrchestComponents) UpdateStatus(ctx context.Context, orchestComponent *v1alpha1.OrchestComponent, opts v1.UpdateOptions) (*v1alpha1.OrchestComponent, error) {
	obj, err := c.Fake.
		Invokes(testing.NewUpdateSubresourceAction(orchestcomponentsResource, "status", c.ns, orchestComponent), &v1alpha1.OrchestComponent{})

	if obj == nil {
		return nil, err
	}
	return obj.(*v1alpha1.OrchestComponent), err
}

// Delete takes name of the orchestComponent and deletes it. Returns an error if one occurs.
func (c *FakeOrchestComponents) Delete(ctx context.Context, name string, opts v1.DeleteOptions) error {
	_, err := c.Fake.
		Invokes(testing.NewDeleteActionWithOptions(orchestcomponentsResource, c.ns, name, opts), &v1alpha1.OrchestComponent{})

	return err
}

// DeleteCollection deletes a collection of objects.
func (c *FakeOrchestComponents) DeleteCollection(ctx context.Context, opts v1.DeleteOptions, listOpts v1.ListOptions) error {
	action := testing.NewDeleteCollectionAction(orchestcomponentsResource, c.ns, listOpts)

	_, err := c.Fake.Invokes(action, &v1alpha1.OrchestComponentList{})
	return err
}

// Patch applies the patch and returns the patched orchestComponent.
func (c *FakeOrchestComponents) Patch(ctx context.Context, name string, pt types.PatchType, data []byte, opts v1.PatchOptions, subresources ...string) (result *v1alpha1.OrchestComponent, err error) {
	obj, err := c.Fake.
		Invokes(testing.NewPatchSubresourceAction(orchestcomponentsResource, c.ns, name, pt, data, subresources...), &v1alpha1.OrchestComponent{})

	if obj == nil {
		return nil, err
	}
	return obj.(*v1alpha1.OrchestComponent), err
}
